> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update global settings.



## OpenAPI

````yaml /api-specs/6.3/dmm.yaml post /model-monitor/v2/api/setting/global
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/setting/global:
    post:
      tags:
        - GlobalSettings
      summary: Update global settings.
      operationId: updateGlobalSettings
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/globalSettings'
      responses:
        '200':
          description: Global Settings updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/globalSettingsResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Unauthorised. The endpoint enforces authorisation.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    globalSettings:
      title: Global Settings.
      description: DMM Global Settings.
      type: object
      properties:
        disableDmmApiKeys:
          description: Disables all DMM API keys
          type: boolean
    globalSettingsResponse:
      title: Global Settings Response.
      description: DMM Global Settings.
      allOf:
        - $ref: '#/components/schemas/globalSettings'
        - type: object
          required:
            - id
            - createdAt
            - updatedAt
          properties:
            id:
              description: Global Settings Identifier.
              type: string
            createdAt:
              description: Creation timestamp of the Global Settings.
              type: integer
            updatedAt:
              description: Last updated timestamp for the Global Settings.
              type: integer
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````